| Home · API Reference · Modules

Macros
mimhwkeyboardtracker.cpp File Reference

### (2.3.0 /src/mimhwkeyboardtracker.cpp)

## Macros

#define | BITS2BYTES(x)
#define | TEST_BIT(bit, array)

## Macro Definition Documentation

## ◆ BITS2BYTES

#define BITS2BYTES | ( |  | x | ) |

Value:
((((x) - 1) / 8) + 1)

## ◆ TEST_BIT

#define TEST_BIT | ( |  | bit,
|  |  | array )

Value:
(array[(bit) / 8] & (1 << (bit) % 8))

Copyright © 2011 Nokia Corporation |  | Maliit